/* config.h: give access to config files */

#ifndef CONFIG_H
#define CONFIG_H

/* returns the number of characters in the full path name of the given file. */
/* if name is not NULL, also malloc's the string and copies the path into it */
/* returns -1 if the allocation fails or for any other errors */
extern int config_file_name (char * program, char * file, char ** name);

/* returns a file descriptor, or -1 in case of errors */
extern int open_read_config (char * program, char * file, int print_errors);

#endif /* CONFIG_H */
