/* track.h: keep track of how much bandwidth is going to each destination */

#ifndef TRACK_H
#define TRACK_H

/* record that we are sending this packet of given size to this destination */
/* return an integer, as a fraction of MAX_PRIORITY, to indicate what
 * fraction of the available bandwidth this destination is using.
 * MAX_PRIORITY is defined in priority.h
 */
extern int track_rate (char * destination, int dest_bits, int packet_size);

#endif /* TRACK_H */

